%define pkg_name        Class-DBI-mysql
%define pkg_version     1.00
%define rpm_pkg_version 1.00
%define rpm_pkg_release 2.n0i.11


Summary:       Extensions to Class::DBI for MySQL
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Class::DBI) >= 0.94
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Class::DBI) >= 0.94}
%{!?_without_test:BuildRequires: perl(DBD::mysql)}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.45}


%description
This is an extension to Class::DBI, containing several functions and
optimisations for the MySQL database. Instead of setting Class::DBI as your
base class, use this instead.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test DBD_MYSQL_USER=test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.00-2.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Mon Sep 05 2005 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.10
- version 1.00

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.23-5.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.23-4.n0i.8
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.23-3.n0i.7
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.23-2.n0i.6
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.23-1.n0i.5
- version 0.23

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.22-1.n0i.4
- automatic rebuild (perl v.5.8.3)

* Sat Jan 10 2004 Marius FERARU <altblue@n0i.net> 0:0.22-0.n0i.3
- version 0.22
- added BuildRequires + Requires

* Thu Oct 23 2003 Marius FERARU <altblue@n0i.net> 0:0.21-0.n0i.2
- version 0.21
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Wed Oct 01 2003 Marius FERARU <altblue@n0i.net> 0.17-0.n0i.1
- version 0.17
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
